%define major 2
%define beta %{nil}
#define scmrev %{nil}
%define libname %mklibname qt5xdg %{major}
%define libloadername %mklibname qt5xdgiconloader %{major}
%define devname %mklibname qt5xdg -d

%define rel 1

Name: libqtxdg
Version: 2.0.0
#rm -rf libqtxdg && git clone https://github.com/lxde/libqtxdg.git && cd libqtxdg/ 
# git archive --prefix=libqtxdg-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../libqtxdg-$(date +%Y%m%d).tar.xz

%if 1%{?scmrev:1}
Release: %mkrel %rel
Source: http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
%else
Release: %mkrel -c %{scmrev} %rel
Source: %{name}-%{scmrev}.tar.xz
%endif

Summary: Library providing freedesktop.org specs implementations for Qt
URL: https://github.com/lxde/libqtxdg
License: LGPLv2+
Group: System/Libraries
BuildRequires: cmake
BuildRequires: ninja
BuildRequires: magic-devel

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Svg)

BuildRequires: qttools5
BuildRequires: qt5gui-private-devel

# (doktor5000) fixes some path-mangling regarding xdg path traversal (mga#15358)
# taken from https://github.com/lxde/libqtxdg/commit/5058cd61611a712ed11ba6e998e9444e041b5d43
#Patch1: 5058cd61611a712ed11ba6e998e9444e041b5d43.patch

%description
Library providing freedesktop.org specs implementations for Qt


%package -n %{libname}
Summary: Library providing freedesktop.org specs implementations for Qt
Group: System/Libraries
#-data subpackage does not exist anymore, contained only translations (dropped upstream)
Obsoletes: %{_lib}qtxdg-data < 1.0.0-7
Obsoletes: %{_lib}qtxdg1 < 1.3.0-3

%description -n %{libname}
Library providing freedesktop.org specs implementations for Qt

%package -n %{libloadername}
Summary: Library providing freedesktop.org specs implementations for Qt
Group: System/Libraries

%description -n %{libloadername}
Library providing freedesktop.org specs implementations for Qt

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/C
Requires: %libname = %version
Requires: %libloadername = %version
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Obsoletes: %{_lib}qtxdg-devel < 1.3.0-3

%description -n %{devname}
Development files (Headers etc.) for %{name}, a library providing
freedesktop.org specs implementations for Qt.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}
%else
%setup -q
%endif

%autopatch -p1

%build
%cmake_qt5 -DBUILD_TESTS=on
make

%install
%make_install -C build


%files -n %{libname}
%{_libdir}/libQt5Xdg.so.%{major}{,.*}

%files -n %{libloadername}
%{_libdir}/libQt5XdgIconLoader.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libQt5Xdg.so
%{_libdir}/libQt5XdgIconLoader.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/qt5xdg
%{_datadir}/cmake/qt5xdgiconloader


%changelog
* Tue Nov 08 2016 neoclust <neoclust> 2.0.0-1.mga6
+ Revision: 1065872
- New version 2.0.0

* Sun Oct 16 2016 wally <wally> 1.3.0-3.mga6
+ Revision: 1061137
- fix lib and devel pkg names

* Mon Feb 15 2016 umeabot <umeabot> 1.3.0-2.mga6
+ Revision: 961179
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 neoclust <neoclust> 1.3.0-1.mga6
+ Revision: 900011
- New version 1.3.0

* Tue Mar 03 2015 doktor5000 <doktor5000> 1.1.0-4.mga5
+ Revision: 817622
- add upstream patch to ignore empty dirs in xdgDirList() (mga#15358)

* Thu Feb 26 2015 doktor5000 <doktor5000> 1.1.0-3.mga5
+ Revision: 817069
- add upstream patch to reenable tests

* Tue Feb 24 2015 doktor5000 <doktor5000> 1.1.0-2.mga5
+ Revision: 816816
- add Obsoletes on dropped %%{_lib}qtxdg-data subpackage

* Sat Feb 21 2015 doktor5000 <doktor5000> 1.1.0-1.mga5
+ Revision: 816217
- new version 1.1.0
- remove conditional handling for QT5 as QT4 is not supported anymore
- disabled tests for now due to undefined references, reported upstream
- translations have been removed upstream, only meant for developers
- use new URL http://downloads.lxqt.org/

* Wed Dec 17 2014 doktor5000 <doktor5000> 1.0.0-6.mga5
+ Revision: 803657
- rebuild for QT 5.4 breakage
- add missing BuildRequire on qttools5 for lrelease

* Mon Nov 03 2014 wally <wally> 1.0.0-5.mga5
+ Revision: 795332
- loosen lib pkg requires

* Sat Oct 25 2014 doktor5000 <doktor5000> 1.0.0-4.mga5
+ Revision: 793179
- correct license

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 doktor5000 <doktor5000> 1.0.0-1.mga5
+ Revision: 738288
- new version 1.0.0
  o major changed to 1
- enabled QT5 build
  o remove %%setup macro folder creation

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-2.mga5
+ Revision: 681733
- Mageia 5 Mass Rebuild

* Wed May 28 2014 doktor5000 <doktor5000> 0.5.3-1.mga5
+ Revision: 627311
- new version 0.5.3
  o fix version, previous was really 0.5.1
  o switched to released tarball instead of GIT snapshot

* Wed May 21 2014 doktor5000 <doktor5000> 0.7.0-0.20140508.1.mga5
+ Revision: 624577
- use %%mkrel, drop handling of %%beta
- added conditional support for QT5, added QT5 BuildRequires
- fixed URL, added comments how to create tarball from GIT
- added proper Provides/Requires for -data and devel packages
- enabled building of tests
- imported package libqtxdg


* Thu May 08 2014 Bernhard Rosenkraenzer <bero@lindev.ch> 0.7.0-0.20140508.1
+ Revision: f446d95
- Update to current git, goes with LXQt 0.7


